function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { Animated } from 'react-native';
import { useSegmentContext } from '../SegmentContext';
import { useSegmentedViewContext } from '../SegmentedViewContext';
import { useCollapsibleStyle } from '../useCollapsibleStyle';
/**
 * Use like a regular ScrollView.
 */

export const ScrollView = ({
  contentContainerStyle,
  style,
  onContentSizeChange,
  children,
  refreshControl,
  ...rest
}) => {
  const ref = React.useRef();
  const {
    style: _style,
    contentContainerStyle: _contentContainerStyle,
    progressViewOffset
  } = useCollapsibleStyle();
  const {
    index
  } = useSegmentContext();
  const {
    scrollY,
    setRef
  } = useSegmentedViewContext();
  React.useEffect(() => {
    // @ts-ignore
    setRef(ref, index); // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);
  return /*#__PURE__*/React.createElement(Animated.ScrollView, _extends({}, rest, {
    // @ts-ignore
    ref: ref,
    bouncesZoom: false,
    style: [_style, style],
    contentContainerStyle: [_contentContainerStyle, contentContainerStyle],
    onScroll: Animated.event([{
      nativeEvent: {
        contentOffset: {
          y: scrollY
        }
      }
    }], {
      useNativeDriver: true
    }),
    refreshControl: refreshControl && /*#__PURE__*/React.cloneElement(refreshControl, { ...refreshControl.props,
      progressViewOffset
    })
  }), children);
};
//# sourceMappingURL=ScrollView.js.map