import { SegmentedControlProps } from '@react-native-community/segmented-control';
import React from 'react';
import { ViewStyle } from 'react-native';
import { ControlProps } from './types';
export declare type Props = ControlProps & SegmentedControlProps & {
    containerStyle?: ViewStyle;
};
/**
 * Default iOS control. Props are passed down to the original [SegmentedControl](https://github.com/react-native-segmented-control/segmented-control#react-native-segmented-controlsegmented-control).
 *
 * Example usage:
 *
 * ```tsx
 * import {
 *  Segmented,
 *  SegmentedControl
 * } from 'react-native-collapsible-segmented-view
 *
 * ...
 *
 * <Segmented.View
 *  control={(props) => <SegmentedControl {...props} appearence='dark' />}
 * >
 *  ...
 * ```
 */
export declare const SegmentedControl: React.FC<Props>;
