import React from 'react';
import { Animated, ViewStyle } from 'react-native';
import { SegmentReactElement } from './Segment';
import { ControlProps } from './types';
export declare type Props = {
    animatedValue?: Animated.Value;
    initialIndex?: number;
    headerHeight?: number;
    controlHeight?: number;
    containerHeight?: number;
    children: SegmentReactElement[];
    header?: () => React.ReactElement<any>;
    control?: (props: ControlProps) => React.ReactElement<any>;
    lazy?: boolean;
    containerStyle?: ViewStyle;
    topStyle?: ViewStyle;
};
/**
 * Basic usage looks like this:
 *
 * ```tsx
 * import { Segmented } from 'react-native-collapsible-segmented-view'
 *
 * const Example = () => {
 *   return (
 *     <Segmented.View hader={MyHeader}>
 *       <Segmented.Segment label="A" component={ScreenA} />
 *       <Segmented.Segment label="B" component={ScreenB} />
 *        <Segmented.Segment label="C" component={ScreenC} />
 *     </Tabs.Container>
 *   )
 * }
 * ```
 */
export declare const SegmentedView: React.FC<Props>;
