/// <reference types="react" />
import { MaterialTabBar, Props as MaterialTabBarProps } from './MaterialTabBar';
import { FlatList } from './ScrollComponents/FlatList';
import { ScrollView } from './ScrollComponents/ScrollView';
import { Segment } from './Segment';
import { SegmentedControl, Props as SegmentedControlProps } from './SegmentedControl';
import { SegmentedView, Props as SegmentedViewProps } from './SegmentedView';
import { ControlProps } from './types';
import { useHeaderMeasurements } from './useHeaderMeasurements';
import { useIsFocused } from './useIsFocused';
import { useSelectedIndex } from './useSelectedIndex';
export type { SegmentedViewProps, ControlProps, MaterialTabBarProps, SegmentedControlProps, };
export { SegmentedView, Segment, ScrollView, FlatList, MaterialTabBar, SegmentedControl, useIsFocused, useSelectedIndex, useHeaderMeasurements, };
export declare const Segmented: {
    View: import("react").FC<SegmentedViewProps>;
    Segment: ({ component: Component }: {
        label: string;
        component: ((props: any) => import("react").ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>) | import("react").FC<any> | (() => import("react").ReactElement<any, string | ((props: any) => import("react").ReactElement<any, string | any | (new (props: any) => import("react").Component<any, any, any>)> | null) | (new (props: any) => import("react").Component<any, any, any>)>);
    }) => JSX.Element;
    ScrollView: import("react").FC<Pick<import("react-native").ScrollViewProps, "indicatorStyle" | "style" | "hitSlop" | "onLayout" | "pointerEvents" | "removeClippedSubviews" | "testID" | "nativeID" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityComponentType" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityTraits" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "contentContainerStyle" | "keyboardShouldPersistTaps" | "horizontal" | "fadingEdgeLength" | "invertStickyHeaders" | "keyboardDismissMode" | "onContentSizeChange" | "onScrollBeginDrag" | "onScrollEndDrag" | "onMomentumScrollEnd" | "onMomentumScrollBegin" | "pagingEnabled" | "scrollEnabled" | "showsHorizontalScrollIndicator" | "showsVerticalScrollIndicator" | "refreshControl" | "snapToAlignment" | "snapToInterval" | "snapToOffsets" | "snapToStart" | "snapToEnd" | "disableIntervalMomentum" | "disableScrollViewPanResponder" | "alwaysBounceHorizontal" | "alwaysBounceVertical" | "automaticallyAdjustContentInsets" | "bounces" | "bouncesZoom" | "canCancelContentTouches" | "centerContent" | "contentInset" | "contentOffset" | "contentInsetAdjustmentBehavior" | "decelerationRate" | "directionalLockEnabled" | "maximumZoomScale" | "minimumZoomScale" | "onScrollAnimationEnd" | "pinchGestureEnabled" | "scrollEventThrottle" | "scrollIndicatorInsets" | "scrollToOverflowEnabled" | "scrollsToTop" | "onScrollToTop" | "stickyHeaderIndices" | "zoomScale" | "endFillColor" | "scrollPerfTag" | "overScrollMode" | "nestedScrollEnabled" | "persistentScrollbar">>;
    FlatList: typeof FlatList;
};
